package de.fhmuenster.masterthesis.generator;

public class NameProvider {

	private static final String VARIABLE_PREFIX = "VAR_";
	private static final String PACKAGE_DECLARATION = "package %s;";
	
	public static final String USER_TASK_NAME = "UserTasks";
	public static final String MANUAL_TASK_NAME = "ManualTasks";
	public static final String SCRIPT_TASK_NAME = "ScriptTasks";
	public static final String SERVICE_TASK_NAME = "ServiceTasks";
	public static final String BUSINESS_RULE_NAME = "BusinessRuleTasks";
	public static final String GATEWAYS_NAME = "Gateways";
	public static final String EVENTS_NAME = "Events";
	
	public static final String getStaticFinalVariableName(String variable) {
		return VARIABLE_PREFIX + variable.toUpperCase();
	}
	
	public static final String getStaticFinalFlowElementName(FlowElementType flowElementType, String flowElement) {
		return flowElement.toUpperCase();
	}
	
	public static final String getPackageDeclaration(String packageName) {
		return String.format(PACKAGE_DECLARATION, packageName);
	}
}
